Please help - problems with the Apache Flex SDK installer

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Please help - problems with the Apache Flex SDK installer

Bender
Hi!

I hope you guys can help me because I am really desperate. Need to set up
Flash builder after a fatal crash and am really on a thin deadline.

I am having problems with the Flex installer - basically it gets stuck at
"Downloading 2.2.zip from: https://github.com/swfobject/swfobject/archive"
although its a working link.

I've even filed a bug but it doesn't look like anyone will ever take care of
it :)
https://issues.apache.org/jira/browse/FLEX-35412

I can remember in the time before the Apache flex installer it was fairly
easy to create an SDK Version for the Dlash Builder - I think you could just
download the Flex SDK, then copy AIR SDK into the same folder and you was
all set.

No idea where to get Flex SDK now  though. The Apache Flex installer does
download the Flex SDK before it gets stuck (I think), but I think something
is still missing - after I copy the AIR SDK into the same folder and try to
use it in the Flash Builder I am getting this error message:

unable to open 'C:\Program Files\Adobe\Adobe Flash Builder 4.7 (64
Bit)\sdks\4.6.16_32\frameworks\{airHome}\frameworks\libs\air\airglobal.swc'

Now this "{airHome}\frameworks" part sound like some environment variable is
not set? I couldnt find where it comes from.

Any ideas how to get this solved or is there another way to set everything
up?

Thanks a lot for any help and your time!
Best regards
Bender Rodriguez  :)



--
Sent from: http://apache-flex-users.2333346.n4.nabble.com/
Reply | Threaded
Open this post in threaded view
|

Re: Please help - problems with the Apache Flex SDK installer

After24
This post was updated on .
Hi Bender,

A solution is to get the binaries of the flex SDK on the  Apache flex
website <http://flex.apache.org/download-binaries.html>  . (don't forget to
download the binary dependencies using the dedicated ANT command as
explained on the download page)

Then you will have to overlay the flex SDK with the AIR SDK following  this
procedure
<https://helpx.adobe.com/x-productkb/multi/how-overlay-air-sdk-flex-sdk.html
.

Vincent.






--
Sent from: http://apache-flex-users.2333346.n4.nabble.com/